gnutls_transport_set_push_function(3)

NAME
gnutls_transport_set_push_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_push_function(gnutls_session_t session, gnutls_push_func push_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_push_func push_func
    a callback function similar to write()

DESCRIPTION
This is the function where you set a push function for gnutls to use in order to send data. If you are going to use berkeley style sockets, you do not need to use this function since the default (send(2)) will probably be ok. Otherwise you should specify this function for gnutls to be able to send data. PUSH_FUNC is of the form, ssize_t (*gnutls_push_func)(gnutls_transport_ptr_t, const void*, size_t);

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.